workflows:
  android-quality:
    name: Android Quality
    max_build_duration: 60
    environment:
      flutter: stable
      java: 17
    scripts:
      - flutter pub get
      - dart run build_runner build --delete-conflicting-outputs
      - flutter analyze
      - flutter test
      - flutter build appbundle --flavor production --release --dart-define=APP_FLAVOR=production
    artifacts:
      - build/app/outputs/bundle/productionRelease/*.aab
